XBATTERY(1)

NAME
xbattery - display Advanced Power Management (APM) BIOS information

SYNOPSIS
xbattery [ ... ]

DESCRIPTION
xbattery puts up an X window that displays the remaining battery life. A simple strip gauge shows the remaining battery power, and the color shows battery status. When power goes low or critical, the whole gauge flashes. When charging is completed, the gauge also flashes. Clicking on the gauge pops up a textual status window, and will stop it flashing. xbattery integrates well into fvwm's button box, and should behave similarly in other window manager's equivalents.

OPTIONS AND RESOURCES
In addition to standard Xt options, the following options are available:

-highColor color
    The color of the bar when the battery status is high. Defaults to "green". (*highColor)

-lowColor color
    The color of the bar when the battery status is low. Defaults to "orange". (*lowColor)

-criticalColor color
    The color of the bar when the battery status is critical. Defaults to "red". (*criticalColor)

-chargingColor color
    The color of the bar when the battery is charging. Defaults to "blue". (*chargingColor)

-update delay
    Sets the number of seconds delay between each update. When the battery status is low or critical, the status is checked 10 times faster, at most once per second. The default is 20. (*update)

-criticalLevel level
    Set the level at which the battery is deemed critical. Although apm provides a critical status level, there is generally insufficient time for you to do anything before a BIOS enforced suspend or shutdown is imposed. You can set a higher percentage with this flag. If you set a lower percentage than apm considers critical, this level is ignored. The default is 0. (*criticalLevel)

-flash delay
    Sets the number of milliseconds between flashes. The gauge is flashed whenever the status goes low or critcal, or charging completes. The default is 250. (*flash)

-orientation orientation
    Sets the orientation of the gauge. Defaults to vertical. (*orientation)

FILES
/proc/apm

AUTHOR
This program was written by Nathan Sidwell (nathan@acm.org) and may be freely distributed under the terms of the GNU General Public License. There is ABSOLUTELY NO WARANTY for this program.

SEE ALSO
apm(1), xapm(1), apmd(8)